View Issue Details

IDProjectCategoryView StatusLast Update
0003960SOGoActiveSyncpublic2017-01-09 15:49
Reporterfinalgene Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformAppleOSiOSOS Version10
Product Version3.2.4 
Fixed in Version3.2.5 
Summary0003960: XML-Entities in Address
Description

If a contact has german umlauts in his address, the umlautes will be displays as XML entities in iOS.

For example:
The address of a contact is "Teststraße 123"
In the iOS address book the address is shown as "Teststraße 123".
In web view an the MacOS address book the address is shown right.

If the address is created in iOS (using "ß"), everything is fine.
But if the contact has been modified in web or any CardDav client, the address information on iOS will be wrong after sync.

In other fields, the umlauts will be show in the right way!

Steps To Reproduce
  • Create a contact in iOS with "ß" in the address line
    --> every thing's fine
  • Edit the contact with web view or CardDav client (eg. add a phone number)
    --> after sync with iOS, the "ß" will be shown as "ß"
TagsNo tags attached.

Activities

finalgene

finalgene

2016-12-19 12:04

reporter  

iOS10.png (35,130 bytes)   
iOS10.png (35,130 bytes)   
finalgene

finalgene

2016-12-20 01:22

reporter  

SOGo-EAS.log (1,347 bytes)

Related Changesets

sogo: master 3d16283d

2016-12-20 08:56:13

ludovic

Details Diff
(fix) avoid double encoding (fixes 0003960) Affected Issues
0003960
mod - ActiveSync/NGVCard+ActiveSync.m Diff File

sogo: v2 ffa2efbc

2016-12-20 08:56:13

ludovic

Details Diff
(fix) avoid double encoding (fixes 0003960) Affected Issues
0003960
mod - ActiveSync/NGVCard+ActiveSync.m Diff File

sogo: maint 3484cd57

2016-12-20 08:56:13

ludovic


Committer: francis Details Diff
(fix) avoid double encoding (fixes 0003960) Affected Issues
0003960
mod - ActiveSync/NGVCard+ActiveSync.m Diff File

Issue History

Date Modified Username Field Change
2016-12-19 11:55 finalgene New Issue
2016-12-19 11:56 ludovic Severity major => minor
2016-12-19 11:56 ludovic Description Updated
2016-12-19 11:56 ludovic Steps to Reproduce Updated
2016-12-19 12:04 finalgene File Added: iOS10.png
2016-12-20 01:22 finalgene File Added: SOGo-EAS.log
2016-12-20 06:32 francis Category Apple iPhone OS => ActiveSync
2016-12-20 08:57 ludovic Changeset attached => sogo master 3d16283d
2016-12-20 08:57 ludovic Assigned To => ludovic
2016-12-20 08:57 ludovic Resolution open => fixed
2016-12-20 08:57 ludovic Changeset attached => sogo v2 ffa2efbc
2016-12-20 10:46 ludovic Status new => resolved
2016-12-20 10:46 ludovic Fixed in Version => 3.2.5
2017-01-09 15:49 francis Changeset attached => sogo maint 3484cd57